Bug 9329 - pstopnm can bomb calculating resolutions
Summary: pstopnm can bomb calculating resolutions
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: libgr (Show other bugs)
(Show other bugs)
Version: 6.1
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-02-11 03:32 UTC by Jonathan Kamens
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-02-14 16:13:56 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jonathan Kamens 2000-02-11 03:32:14 UTC
There's a line in pstopnm which reads as follows:

set xres = `(echo "scale=4";echo "if($xres>$yres)$yres";echo
"if($yres>$xres)$xres")|bc -l`

It will fail if $xres equals $yres.  It should read:

set xres = `(echo "scale=4";echo "if($xres>$yres)$yres";echo
"if($yres>$xres)$xres";echo "if($xres==$yres)$xres")|bc -l`

Comment 1 Nalin Dahyabhai 2000-02-14 16:13:59 UTC
Thanks for the heads-up.  This will be fixed in libgr-2.0.13-23 and later.


Note You need to log in before you can comment on or make changes to this bug.